Package fr.gouv.vitam.security.internal.rest.resource

# Class PersonalCertificateResource

java.lang.Object
fr.gouv.vitam.security.internal.rest.resource.PersonalCertificateResource

@Path("/v1/api/personalCertificate") public class PersonalCertificateResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonalCertificateResource(PermissionService permissionService, PersonalCertificateService personalCertificateService)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `checkCertificatesExpiration()`
  `void`
  `checkPersonalCertificate(byte[] certificate, String permission)`
  Check personal certificate
  `IsPersonalCertificateRequiredModel`
  `isPersonalCertificateRequiredForPermission(String permission)`
  Gets whether personal certificate if required for the provided endpoint permission

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersonalCertificateResource

    public PersonalCertificateResource(PermissionService permissionService, PersonalCertificateService personalCertificateService)
    Constructor
    Parameters:
      `permissionService` -
      `personalCertificateService` -

- ## Method Details

  - ### checkPersonalCertificate

    @Path("/personal-certificate-check/{permission}") @GET @Consumes("application/octet-stream") public void checkPersonalCertificate(byte[] certificate, @PathParam("permission") String permission) throws LogbookClientException, InvalidParseOperationException, PersonalCertificateException
    Check personal certificate
    Parameters:
      `certificate` - the certificate
      `permission` - the permission
    Throws:
      `LogbookClientServerException`
      `LogbookClientAlreadyExistsException`
      `LogbookClientBadRequestException`
      `InvalidParseOperationException`
      `PersonalCertificateException`
      `LogbookClientException`

  - ### isPersonalCertificateRequiredForPermission

    @GET @Path("/permission-check/{permission}") @Produces("application/json") public IsPersonalCertificateRequiredModel isPersonalCertificateRequiredForPermission(@PathParam("permission") String permission)
    Gets whether personal certificate if required for the provided endpoint permission
    Parameters:
      `permission` - the endpoint permission
    Returns:
      the requirement as a IsPersonalCertificateRequiredModel object

  - ### checkCertificatesExpiration

    @GET @Path("/check-expiration") @Produces("application/json") public jakarta.ws.rs.core.Response checkCertificatesExpiration()